{
  "custom": {},
  "params": {},
  "props": {
    "defaultSize": {
      "height": 193,
      "width": 1920
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "custom": {
              "show_view": "Alarms"
            },
            "events": {
              "component": {
                "onActionPerformed": {
                  "config": {
                    "script": "\tpayload \u003d {}\n\tif self.custom.show_view \u003d\u003d \"Alarms\":\n\t\tself.custom.show_view \u003d \"State\"\n\t\tpayload[\"data\"] \u003d \"State\"\n\t\thandle_icon \u003d \"material/play_arrow\"\n\telif self.custom.show_view \u003d\u003d \"State\":\t\n\t\tself.custom.show_view \u003d \"Alarms\"\n\t\tpayload[\"data\"] \u003d \"Alarms\"\n\t\thandle_icon \u003d \"material/notifications_active\"\n\tsystem.perspective.alterDock(\"Docked-South\", { \"handleIcon\": handle_icon } )\n\tsystem.perspective.sendMessage(\"change-docked-view\", \n\t\t\t\t\t\t\t\t\tpayload \u003d payload, scope \u003d \"page\")"
                  },
                  "scope": "G",
                  "type": "script"
                }
              }
            },
            "meta": {
              "name": "Show",
              "tooltip": {
                "enabled": true
              }
            },
            "position": {
              "basis": "70px",
              "display": false
            },
            "propConfig": {
              "meta.tooltip.text": {
                "binding": {
                  "config": {
                    "expression": "case({this.custom.show_view},\r\n\"Alarms\", \"Displaying active alarms\",\r\n\"State\", \"displaying current state of equipment\",\r\n\"Unknown\")"
                  },
                  "type": "expr"
                }
              },
              "props.image.icon.path": {
                "binding": {
                  "config": {
                    "expression": "case({this.custom.show_view},\r\n\"Alarms\", \"material/play_arrow\",\r\n\"State\", \"material/notifications_active\",\r\n\"material/device_unknown\")"
                  },
                  "type": "expr"
                }
              },
              "props.text": {
                "binding": {
                  "config": {
                    "expression": "case({this.custom.show_view},\r\n\"Alarms\", \"State\",\r\n\"State\", \"Alarms\",\r\n\"Unknown\")"
                  },
                  "type": "expr"
                }
              }
            },
            "props": {
              "image": {
                "height": 32,
                "icon": {
                  "color": "#FFFFFF"
                },
                "position": "top",
                "width": 32
              },
              "style": {
                "classes": "Buttons/Button-Menu",
                "color": "#FFFFFF",
                "margin": 1
              },
              "textStyle": {
                "classes": "Text-Styles/Docked-Buttons"
              }
            },
            "type": "ia.input.button"
          }
        ],
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "basis": "70px",
          "shrink": 0
        },
        "props": {
          "direction": "column",
          "style": {
            "backgroundColor": "#3B3B3B"
          }
        },
        "type": "ia.container.flex"
      },
      {
        "custom": {
          "view": "Alarms"
        },
        "meta": {
          "name": "EmbeddedView"
        },
        "position": {
          "basis": "1850px",
          "grow": 1
        },
        "propConfig": {
          "props.path": {
            "binding": {
              "config": {
                "expression": "case({this.custom.view},\r\n\"Alarms\", \"Alarm-Views/AlarmTable\",\r\n\"State\", \"State-Views/State-Table\",\r\n\"Alarm-Views/Docked-Alarm\")"
              },
              "type": "expr"
            }
          }
        },
        "props": {
          "loading": {
            "order": "with-parent"
          },
          "params": {
            "length_of_table_data": 353
          }
        },
        "scripts": {
          "customMethods": [],
          "extensionFunctions": null,
          "messageHandlers": [
            {
              "messageType": "change-docked-view",
              "pageScope": true,
              "script": "\tview \u003d payload[\"data\"]\n\tself.custom.view \u003d view",
              "sessionScope": false,
              "viewScope": false
            }
          ]
        },
        "type": "ia.display.view"
      }
    ],
    "meta": {
      "name": "root"
    },
    "type": "ia.container.flex"
  }
}